# Current framework version
fintechlabs.version=4.1.43
application.title=Open Insurance Conformance Suite

spring.data.mongodb.uri=mongodb://mongodb:27017/test_suite
# Avoid exporthtml timing out
fintechlabs.base_url=https://localhost:8443

# If true, this redirects port 8443 on localhost to the same port on the ingress (httpd).
# This is so that selenium running on this machine can make submissions via the ingress
# when a developer is running the conformance suite locally, as otherwise accesses to
# https://localhost:8443/ will fail.
# (when deployed in the cloud, selenium will be sent to the external hostname & IP for the
# conformance suite which will work fine - it's only when the hostname resolves 127.0.0.1
# that the problem happens.)
fintechlabs.startredir=false

# The client name is what will be registered when doing OIDC dynamic registration
oidc.clientname=OIDF Conformance Suite
# Make sure static clients match the redirect uri below
oidc.redirecturi=${fintechlabs.base_url}/openid_connect_login

# Configure below to match your google client info credentials
oidc.google.clientid=
oidc.google.secret=
# Issuer should always be accounts.google.com, but can be configured here just in case.
# oidc.google.iss=https://accounts.google.com

oidc.obbrazil.clientid=
oidc.obbrazil.secret=


# Enter the google domain you want to grant admin rights to
# multiple values may be specified separated by commas
# oidc.admin.domains=fintechlabs.io
# If not using google for the admin issuer, specify the group name required for admins
oidc.admin.group=obbrasil-functional-conformance-admins
# admin.issuer; set depending which login method admins will use - e.g.
# https://accounts.google.com - use google, set oidc.admin.domains to your domain(s)
# https://gitlab.com - use the cloud gitlab, set oidc.admin.group to the gitlab group your admins are members of
# or you could use a local gitlab install & set oidc.admin.group
# Other issuers that can return a 'groups' array in the userinfo or id_token can be used (e.g. azure)
oidc.admin.issuer=https://gitlab.com

# 'login with gitlab' openid connect client credentials
# setup on https://gitlab.com/oauth/applications/
oidc.gitlab.clientid=
oidc.gitlab.secret=

server.forward-headers-strategy=NATIVE

# Keypair for signing and export. Note that the trailing backslashes allow for a multiline value.
fintechlabs.jwks={\
  "keys": [\
    {\
      "kty": "RSA",\
      "d": "D5kUo5FPWV0U8cU6ZnxJ7Ljt_vRbBia8-MnTO_s3jpuL7t3ANavUHkuiLJOR1JAuxY-ueRqKiqHGq6TKVQKHPfPV-2lX5qECZ-HTETVZsMiLrZ6ims5myQxwJSiWqLtbJcytRG3XIM8MsuHS8a6L4YplSemuKVhtulD8WkG7PxIJDDb9mQh1W_5mT_DeMUKffL8Zdbf_pvFV8vK3drjoXFTVa9w18CsfodPOu49WlKXhpCIvuBNnr21faG1xIpWOolHio35rHHnMdhhZzda6l5CG2Cv5RunrQe7XJyzkNWhXxjRaZXdpAOuSz_alJPK-4stS6z7sUSYg9PvnPuo4IQ",\
      "e": "AQAB",\
      "use": "sig",\
      "kid": "demo-test-key-20180514",\
      "alg": "RS256",\
      "n": "j_Uxcxwd8mNeTgVp8b-gkp1_b-E2IZdY_lWWJYJz7z1qL5OGRSXPaEmPvnMXHRgFr9adSK4K7gWZThqIaSgP4UBG6_ecf12plMq246SIyIaPWIRjaMPjSIsOg50RmsTDcIJ4z8RtZyYpGJHbbRvaE8Qc2iUirqdRCLbN00ypwh25fA5JplNnBO4SloTuiHVyyUCFoBamlT6iXskTGx7Fzfr40LUf_-M-uPAqXjiB91tfT9x076qv91TPIHvfBdJKDitxx5qM8Fg3iz_P-XWEEQESrC3DQLWd7YgNJ_UFePoJmwnlscypR1QJUtpeqJsQtuFSXJRiwrdVGgpUBgOJpQ"\
    }\
  ]\
}

# Key ID from the above key set to use for signing exports.
fintechlabs.signingKey=demo-test-key-20180514

logging.level.com.gargoylesoftware.htmlunit=ERROR

# Enable these to help track down problems occuring in the selenium browser automation
# logging.level.com.gargoylesoftware.htmlunit=TRACE
# logging.level.org.apache.http=TRACE
# logging.level.org.seleniumhq=TRACE
# logging.level.net.openid.conformance.frontChannel=DEBUG
# logging.level.httpclient.wire=DEBUG

# logging.level.org.springframework.web=DEBUG

# Static introspection endpoint (currently unused)
oauth.introspection_url=
oauth.resource_id=protected-resource-1
oauth.resource_secret=protected-resource-secret-1

# Allow to show external Ip address
fintechlabs.show_external_ip_address=true
fintechlabs.external_ip_service_uri=https://ipv4.icanhazip.com/
fintechlabs.profiles.visible=Open Insurance Brasil Functional DCR Tests, Open Insurance Brasil Functional Tests for Phase 1 - Open Data, Open Insurance Brasil Functional Tests for Phase 2 - Customer Data
# allow us to set the logo and auth issuer via env vars
fintechlabs.issuer=
fintechlabs.logo=
fintechlabs.brand=
fintechlabs.check.mongo.version=false

spring.mvc.async.request-timeout = 3600000

spring.banner.location=classpath:opinbanner.txt
